v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/locally-sourced-kits/{id}
Retrieves locally sourced kits settings by ID.
Request
Path Parameters
-
id(required): string(UUID)
Local Source Settings ID parameterExample:
C36A3197FDEE433FB5547EE83DE99E4B -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : LocalSourceSettingsResponse
Type:
objectTitle:
LocalSourceSettingsResponseContains Local Source Settings detail response.
Show Source
Nested Schema : locallySourcedCountries
Type:
Show Source
array-
Array of:
object LocalSourceSettingsTo
Title:
LocalSourceSettingsToContains locally sourced kit settings.
Example:
[
{
"localSourceId":"C36A3197FDEE433FB5547EE83DE99E4B",
"versionStart":"2026-01-10T09:15:00Z",
"versionEnd":"2026-12-31T23:59:59Z",
"operationType":"CREATE",
"objectVersionNumber":1,
"userId":"6A1B2C3D4E5F67890123456789ABCDEF",
"reason":"Initial enablement.",
"comment":"Locally sourced kits enabled for the country.",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
"countryId":"B1C2D3E4F5064789A0B1C2D3E4F50647",
"enabled":true
}
]Nested Schema : sourcedBySiteCountries
Type:
Show Source
array-
Array of:
object LocalSourceSettingsTo
Title:
LocalSourceSettingsToContains locally sourced kit settings.
Example:
[
{
"localSourceId":"E0F1A2B3C4D567890123456789ABCDEF",
"versionStart":"2026-01-10T09:15:00Z",
"versionEnd":"2026-12-31T23:59:59Z",
"operationType":"CREATE",
"objectVersionNumber":1,
"userId":"6A1B2C3D4E5F67890123456789ABCDEF",
"reason":"Initial enablement.",
"comment":"Sourced-by-site enabled for the country.",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
"countryId":"9ABCDEF01234567890123456789ABCDE",
"enabled":true
}
]Nested Schema : LocalSourceSettingsTo
Type:
objectTitle:
LocalSourceSettingsToContains locally sourced kit settings.
Show Source
-
comment: string
Title:
CommentComment.Example:Additional details. -
countryId: string
(uuid)
Title:
Country IDCountry identifier.Example:12345678-90ab-cdef-1234-567890abcdef -
enabled: boolean
Title:
EnabledIndicates whether dose hold is enabled.Example:true -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID.Example:99999999-8888-7777-6666-555555555555 -
localSourceId: string
(uuid)
Title:
Local Source IDLocal source identifier.Example:aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee -
objectVersionNumber: number
Title:
Object Version NumberObject version number.Example:1 -
operationType: string
Title:
Operation TypeOperation type.Example:CREATE -
reason: string
Title:
ReasonReason.Example:Business justification. -
userId: string
(uuid)
Title:
User IDUser ID.Example:11111111-2222-3333-4444-555555555555 -
versionEnd: string
(date-time)
Title:
Version EndVersion end date.Example:2025-12-31T23:59:59Z -
versionStart: string
(date-time)
Title:
Version StartVersion start date.Example:2025-01-01T00:00:00Z
Example:
[
{
"localSourceId":"E0F1A2B3C4D567890123456789ABCDEF",
"versionStart":"2026-01-10T09:15:00Z",
"versionEnd":"2026-12-31T23:59:59Z",
"operationType":"CREATE",
"objectVersionNumber":1,
"userId":"6A1B2C3D4E5F67890123456789ABCDEF",
"reason":"Initial enablement.",
"comment":"Sourced-by-site enabled for the country.",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
"countryId":"9ABCDEF01234567890123456789ABCDE",
"enabled":true
}
]Examples
204 Response
Successful operation
Root Schema : ListResponseFactory
Type:
objectExamples
500 Response
Internal server error
Root Schema : ListResponseFactory
Type:
objectExamples